/* fade.cmdline.h */

/* File autogenerated by gengetopt version 2.14  */

#ifndef FADE_CMDLINE_H
#define FADE_CMDLINE_H

/* If we use autoconf.  */
#ifdef HAVE_CONFIG_H
#include "config.h"
#endif

#ifdef __cplusplus
extern "C" {
#endif /* __cplusplus */

#ifndef CMDLINE_PARSER_PACKAGE
#define CMDLINE_PARSER_PACKAGE "para_fade"
#endif

#ifndef CMDLINE_PARSER_VERSION
#define CMDLINE_PARSER_VERSION "(paraslash 0.2.6, recursive compensation)\nCopyright (c) 1997-2005 by Andre Noll\nThis is free software with ABSOLUTELY NO WARRANTY. See COPYING for details."
#endif

struct gengetopt_args_info
{
  char * mode_arg;	/* {sleep|fade|snooze} (default='sleep').  */
  char * mode_orig;	/* {sleep|fade|snooze} original value given at command line.  */
  char * config_file_arg;	/* (default='~/.paraslash/fade.conf').  */
  char * config_file_orig;	/* (default='~/.paraslash/fade.conf') original value given at command line.  */
  char * mixer_device_arg;	/* mixer device file (default='/dev/mixer').  */
  char * mixer_device_orig;	/* mixer device file original value given at command line.  */
  int sleep_ivol_arg;	/* set initial volume before doing anything else (default='60').  */
  char * sleep_ivol_orig;	/* set initial volume before doing anything else original value given at command line.  */
  char * fa_stream_arg;	/* fall asleep stream. Change to this stream right after setting the volume (default='fa').  */
  char * fa_stream_orig;	/* fall asleep stream. Change to this stream right after setting the volume original value given at command line.  */
  int fa_fade_arg;	/* fall asleep fading time, no fading if set to 0 (default='1800').  */
  char * fa_fade_orig;	/* fall asleep fading time, no fading if set to 0 original value given at command line.  */
  int fa_vol_arg;	/* volume to fade to (default='20').  */
  char * fa_vol_orig;	/* volume to fade to original value given at command line.  */
  char * sleep_stream_arg;	/* change to this stream after fading, stop playing if unset (default='sleep').  */
  char * sleep_stream_orig;	/* change to this stream after fading, stop playing if unset original value given at command line.  */
  int wake_hour_arg;	/* (0-23) (default='8').  */
  char * wake_hour_orig;	/* (0-23) original value given at command line.  */
  int wake_min_arg;	/* (0-59) (default='0').  */
  char * wake_min_orig;	/* (0-59) original value given at command line.  */
  char * wake_stream_arg;	/* changed to on waketime (default='wake').  */
  char * wake_stream_orig;	/* changed to on waketime original value given at command line.  */
  int wake_fade_arg;	/* no fading in if set to 0 (default='1200').  */
  char * wake_fade_orig;	/* no fading in if set to 0 original value given at command line.  */
  int wake_vol_arg;	/* vol to fade to at waketime (default='80').  */
  char * wake_vol_orig;	/* vol to fade to at waketime original value given at command line.  */
  int snooze_out_fade_arg;	/* fade out time (default='30').  */
  char * snooze_out_fade_orig;	/* fade out time original value given at command line.  */
  int snooze_out_vol_arg;	/* vol to fade to before snooze (default='20').  */
  char * snooze_out_vol_orig;	/* vol to fade to before snooze original value given at command line.  */
  int snooze_time_arg;	/* delay (default='600').  */
  char * snooze_time_orig;	/* delay original value given at command line.  */
  int snooze_in_fade_arg;	/* fade in time (default='180').  */
  char * snooze_in_fade_orig;	/* fade in time original value given at command line.  */
  int snooze_in_vol_arg;	/* vol to fade to after snooze (default='80').  */
  char * snooze_in_vol_orig;	/* vol to fade to after snooze original value given at command line.  */
  int fade_vol_arg;	/* volume to fade to (default='50').  */
  char * fade_vol_orig;	/* volume to fade to original value given at command line.  */
  int fade_time_arg;	/* time to fade in (default='5').  */
  char * fade_time_orig;	/* time to fade in original value given at command line.  */
  
  int help_given ;	/* Whether help was given.  */
  int version_given ;	/* Whether version was given.  */
  int mode_given ;	/* Whether mode was given.  */
  int config_file_given ;	/* Whether config_file was given.  */
  int mixer_device_given ;	/* Whether mixer_device was given.  */
  int sleep_ivol_given ;	/* Whether sleep_ivol was given.  */
  int fa_stream_given ;	/* Whether fa_stream was given.  */
  int fa_fade_given ;	/* Whether fa_fade was given.  */
  int fa_vol_given ;	/* Whether fa_vol was given.  */
  int sleep_stream_given ;	/* Whether sleep_stream was given.  */
  int wake_hour_given ;	/* Whether wake_hour was given.  */
  int wake_min_given ;	/* Whether wake_min was given.  */
  int wake_stream_given ;	/* Whether wake_stream was given.  */
  int wake_fade_given ;	/* Whether wake_fade was given.  */
  int wake_vol_given ;	/* Whether wake_vol was given.  */
  int snooze_out_fade_given ;	/* Whether snooze_out_fade was given.  */
  int snooze_out_vol_given ;	/* Whether snooze_out_vol was given.  */
  int snooze_time_given ;	/* Whether snooze_time was given.  */
  int snooze_in_fade_given ;	/* Whether snooze_in_fade was given.  */
  int snooze_in_vol_given ;	/* Whether snooze_in_vol was given.  */
  int fade_vol_given ;	/* Whether fade_vol was given.  */
  int fade_time_given ;	/* Whether fade_time was given.  */

} ;

int cmdline_parser (int argc, char * const *argv, struct gengetopt_args_info *args_info);
int cmdline_parser2 (int argc, char * const *argv, struct gengetopt_args_info *args_info, int override, int initialize, int check_required);
int cmdline_parser_file_save(const char *filename, struct gengetopt_args_info *args_info);

void cmdline_parser_print_help(void);
void cmdline_parser_print_version(void);

void cmdline_parser_init (struct gengetopt_args_info *args_info);
void cmdline_parser_free (struct gengetopt_args_info *args_info);

int cmdline_parser_configfile (char * const filename, struct gengetopt_args_info *args_info, int override, int initialize, int check_required);

int cmdline_parser_required (struct gengetopt_args_info *args_info, const char *prog_name);


#ifdef __cplusplus
}
#endif /* __cplusplus */
#endif /* FADE_CMDLINE_H */
